package com.patzn.lims.frame.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.entity.LmsAbilitySubPlanAttachment;
import org.springframework.web.multipart.MultipartFile;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 能力验证计划子表附件表 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-07-19
 */
public interface ILmsAbilitySubPlanAttachmentService extends IBaseService<LmsAbilitySubPlanAttachment> {


    Page<LmsAbilitySubPlanAttachment> page(Page<LmsAbilitySubPlanAttachment> page, LmsAbilitySubPlanAttachment lmsAbilitySubPlanAttachment);


    List<LmsAbilitySubPlanAttachment> list(LmsAbilitySubPlanAttachment lmsAbilitySubPlanAttachment);


    boolean save(Long planId, MultipartFile file);


    void download(Long id, HttpServletResponse response);


    void downloadBatch(Long[] attachmentIds, HttpServletResponse response);


    int getCountByPlanId(Long planId);
}
